Loading...
Searching...
No Matches
test_component_rep< T, M, VfTag >

## Detailed Description

template<class T, class M, class VfTag>
class rheolef::details::test_component_rep< T, M, VfTag >

Definition at line 33 of file test_component.h.

## Public Types

typedef test_basic< T, M, VfTag > | test_type
typedef test_type::size_type | size_type
typedef test_type::value_type | value_type
typedef M | memory_type
typedef test_type::scalar_type | scalar_type
typedef test_type::float_type | float_type
typedef details::differentiate_option::type | diff_type
typedef space_basic< float_type, M > | space_type

## Public Member Functions

| test_component_rep (const test_basic< T, M, VfTag > &u, size_type i_comp)
| test_component_rep (const test_component< T, M, VfTag > &u, size_type i_comp)
| test_component_rep (const test_component_rep< T, M, VfTag > &)
test_component_rep< T, M, VfTag > & | operator= (const test_component_rep< T, M, VfTag > &)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< T > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< T > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const integrate_option &iopt)
template<class Value , details::differentiate_option::type Diff>
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value , details::differentiate_option::type Diff>
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< T, M > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class ValueType >
void | valued_check () const
template<class ValueType >
void | grad_valued_check () const
template<class ValueType >
void | div_valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::last_valued

## Protected Member Functions

void | _initialize_numbering (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K) const
template<class Value >
void | _evaluate_continued (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value_comp, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
void | _evaluate_on_side_continued (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value_comp, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
const test_component_rep< T, M, VfTag > & | get_u_comp_upper_data () const
bool | _has_subcomponent () const

## Static Protected Member Functions

static space_type | _init_space_comp (const space_type &Xh, size_type i_comp)

## Protected Attributes

size_type | _i_comp
test_basic< T, M, VfTag > | _u
test_basic< T, M, VfTag > | _u_comp
smart_pointer< test_component_rep< T, M, VfTag > > | _ptr_u_comp_upper_data
std::array< size_type, reference_element::max_variant > | _loc_ndof
std::array< size_type, reference_element::max_variant > | _first_loc_idof
std::array< size_type, reference_element::max_variant > | _last_loc_idof
bool | _is_on_band

## Member Typedef Documentation

## test_type

template<class T , class M , class VfTag >

typedef test_basic<T,M,VfTag> test_type

Definition at line 38 of file test_component.h.

## size_type

template<class T , class M , class VfTag >

typedef test_type::size_type size_type

Definition at line 39 of file test_component.h.

## value_type

template<class T , class M , class VfTag >

typedef test_type::value_type value_type

Definition at line 40 of file test_component.h.

## memory_type

template<class T , class M , class VfTag >

typedef M memory_type

Definition at line 41 of file test_component.h.

## scalar_type

template<class T , class M , class VfTag >

typedef test_type::scalar_type scalar_type

Definition at line 42 of file test_component.h.

## float_type

template<class T , class M , class VfTag >

typedef test_type::float_type float_type

Definition at line 43 of file test_component.h.

## diff_type

template<class T , class M , class VfTag >

typedef details::differentiate_option::type diff_type

Definition at line 44 of file test_component.h.

## space_type

template<class T , class M , class VfTag >

typedef space_basic<float_type,M> space_type

Definition at line 45 of file test_component.h.

## Constructor & Destructor Documentation

## test_component_rep() [1/3]

template<class T , class M , class VfTag >

test_component_rep | ( | const test_basic< T, M, VfTag > & | u,
|  | size_type | i_comp
| ) |  |

Definition at line 197 of file test_component.h.

## test_component_rep() [2/3]

template<class T , class M , class VfTag >

test_component_rep | ( | const test_component< T, M, VfTag > & | u,
|  | size_type | i_comp
| ) |  |

Definition at line 210 of file test_component.h.

## test_component_rep() [3/3]

template<class T , class M , class VfTag >

test_component_rep | ( | const test_component_rep< T, M, VfTag > & | x | ) |

Definition at line 169 of file test_component.h.

## Member Function Documentation

## operator=()

template<class T , class M , class VfTag >

test_component_rep< T, M, VfTag > & operator= | ( | const test_component_rep< T, M, VfTag > & | x | ) |

Definition at line 183 of file test_component.h.

## get_vf_space()

template<class T , class M , class VfTag >

const space_type & get_vf_space | ( |  | ) | const

Definition at line 56 of file test_component.h.

## valued_tag()

template<class T , class M , class VfTag >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 58 of file test_component.h.

## initialize() [1/3]

template<class T , class M , class VfTag >

void initialize | ( | const piola_on_pointset< T > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 62 of file test_component.h.

## initialize() [2/3]

template<class T , class M , class VfTag >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< T > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 66 of file test_component.h.

## initialize() [3/3]

template<class T , class M , class VfTag >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 71 of file test_component.h.

## evaluate()

template<class T , class M , class VfTag >
template<class Value , details::differentiate_option::type Diff>

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 264 of file test_component.h.

## evaluate_on_side()

template<class T , class M , class VfTag >
template<class Value , details::differentiate_option::type Diff>

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 307 of file test_component.h.

## local_dg_merge_on_side()

template<class T , class M , class VfTag >
template<class Value >

void local_dg_merge_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 362 of file test_component.h.

## valued_check()

template<class T , class M , class VfTag >
template<class ValueType >

void valued_check | ( |  | ) | const

Definition at line 107 of file test_component.h.

## grad_valued_check()

template<class T , class M , class VfTag >
template<class ValueType >

void grad_valued_check | ( |  | ) | const

Definition at line 114 of file test_component.h.

## div_valued_check()

template<class T , class M , class VfTag >
template<class ValueType >

void div_valued_check | ( |  | ) | const

Definition at line 122 of file test_component.h.

## _init_space_comp()

template<class T , class M , class VfTag >

test_component_rep< T, M, VfTag >::space_type _init_space_comp | ( | const space_type & | Xh,
|  | size_type | i_comp
| ) |  |

static protected

Definition at line 224 of file test_component.h.

## _initialize_numbering()

template<class T , class M , class VfTag >

void _initialize_numbering | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K
| ) |  | const

protected

Definition at line 232 of file test_component.h.

## _evaluate_continued()

template<class T , class M , class VfTag >
template<class Value >

void _evaluate_continued | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value_comp,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

protected

Definition at line 279 of file test_component.h.

## _evaluate_on_side_continued()

template<class T , class M , class VfTag >
template<class Value >

void _evaluate_on_side_continued | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value_comp,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

protected

Definition at line 329 of file test_component.h.

## get_u_comp_upper_data()

template<class T , class M , class VfTag >

const test_component_rep< T, M, VfTag > & get_u_comp_upper_data | ( |  | ) | const

protected

Definition at line 153 of file test_component.h.

## _has_subcomponent()

template<class T , class M , class VfTag >

bool _has_subcomponent | ( |  | ) | const

protected

Definition at line 154 of file test_component.h.

## Member Data Documentation

## valued_hint

template<class T , class M , class VfTag >

const space_constant::valued_type valued_hint = space_constant::last_valued

static

Definition at line 57 of file test_component.h.

## _i_comp

template<class T , class M , class VfTag >

size_type _i_comp

protected

Definition at line 151 of file test_component.h.

## _u

template<class T , class M , class VfTag >

test_basic<T,M,VfTag> _u

protected

Definition at line 152 of file test_component.h.

## _u_comp

template<class T , class M , class VfTag >

test_basic<T,M,VfTag> _u_comp

protected

Definition at line 152 of file test_component.h.

## _ptr_u_comp_upper_data

template<class T , class M , class VfTag >

smart_pointer<test_component_rep<T,M,VfTag> > _ptr_u_comp_upper_data

protected

Definition at line 155 of file test_component.h.

## _loc_ndof

template<class T , class M , class VfTag >

std::array<size_type,reference_element::max_variant> _loc_ndof

mutable protected

Definition at line 160 of file test_component.h.

## _first_loc_idof

template<class T , class M , class VfTag >

std::array<size_type,reference_element::max_variant> _first_loc_idof

protected

Definition at line 161 of file test_component.h.

## _last_loc_idof

template<class T , class M , class VfTag >

std::array<size_type,reference_element::max_variant> _last_loc_idof

protected

Definition at line 162 of file test_component.h.

## _is_on_band

template<class T , class M , class VfTag >

bool _is_on_band

mutable protected

Definition at line 163 of file test_component.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/test_component.h